library vonage;

 import 'package:dio/dio.dart';

class VerifyVonage {
  final String apiKey;
  final String apiSecret;

  VerifyVonage(this.apiKey, this.apiSecret, this.phoneNumber, this.brandName,
      this.codeLength);

  final String phoneNumber;
  final String brandName;
  final int codeLength;

  Future verifyFn() async {
    String _baseUrl = """https://api.nexmo.com/verify/json?\
    api_key= $apiKey\
    &api_secret=$apiSecret\
    &number=$phoneNumber\
    &brand=$brandName\
    &code_length=$codeLength""";
    var responseJson;
    Response response;
    Dio dio = new Dio();
    // print("body" + body.toString());
    response = await dio
        .get(
      _baseUrl,
      options: Options(
          followRedirects: false,
          validateStatus: (status) {
            return status < 500;
          },
          headers: {
            "Content-Type": "application/json",
            "Connection": 'keep-alive'
          }),
    )
        .catchError((e) {
      print(e.response.data);
      return e;
    });

    return response;
  }


}
